Skip to main content
GET
/
api
/
v1
/
awards
curl -H "X-API-Key: your_api_key_here" \
  "https://api.northaxiumdata.ca/api/v1/awards?vendor=SNC-Lavalin&limit=10"
{
  "data": [
    {
      "record_id": "award_xyz456",
      "event_type": "award",
      "vendor": "SNC-Lavalin Inc",
      "department": "Public Services and Procurement Canada | Services publics et Approvisionnement Canada",
      "value": 4200000.00,
      "date": "2023-09-12",
      "description": "Award notice for engineering services",
      "procurement_method": "Competitive",
      "source_dataset": "CanadaBuys Awards",
      "solicitation_number": "EP474-23ABC",
      "source_url": "https://buyandsell.gc.ca/..."
    }
  ],
  "meta": {
    "total": 130000,
    "limit": 10,
    "offset": 0
  }
}

Overview

Returns federal award notices — announcements of contract awards published on CanadaBuys. Award notices are published after a tender closes and before the final contract is signed, making them useful for early signal on who won a competition. For the full procurement lifecycle linking an award to its tender and contract, use the Procurement Lifecycle endpoint. For final signed contracts, use List Contracts. Single award records are available at GET /api/v1/awards/{record_id}.

Query Parameters

vendor
string
Partial match on vendor name (case-insensitive)
department
string
Partial match on department name (case-insensitive)
method
string
Exact match on procurement_method field
source
string
Exact match on source_dataset field
min_value
number
Minimum award value in CAD
max_value
number
Maximum award value in CAD
date_from
string
ISO 8601 start date — e.g. 2023-01-01
date_to
string
ISO 8601 end date — e.g. 2023-12-31
limit
integer
Results per page. Default: 50. Max: 200
offset
integer
Result offset for pagination. Default: 0
curl -H "X-API-Key: your_api_key_here" \
  "https://api.northaxiumdata.ca/api/v1/awards?vendor=SNC-Lavalin&limit=10"
{
  "data": [
    {
      "record_id": "award_xyz456",
      "event_type": "award",
      "vendor": "SNC-Lavalin Inc",
      "department": "Public Services and Procurement Canada | Services publics et Approvisionnement Canada",
      "value": 4200000.00,
      "date": "2023-09-12",
      "description": "Award notice for engineering services",
      "procurement_method": "Competitive",
      "source_dataset": "CanadaBuys Awards",
      "solicitation_number": "EP474-23ABC",
      "source_url": "https://buyandsell.gc.ca/..."
    }
  ],
  "meta": {
    "total": 130000,
    "limit": 10,
    "offset": 0
  }
}